SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


Try our Premium Alert Service
 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service





Category:   OS (Other)  >   Apple iOS Vendors:   Apple
Apple iOS Bugs Let Remote Users Deny Service and Local Users Obtain Potentially Sensitive Information, Bypass Security, and Gain Elevated Privileges
SecurityTracker Alert ID:  1041031
SecurityTracker URL:  http://securitytracker.com/id/1041031
CVE Reference:   CVE-2018-4215, CVE-2018-4238, CVE-2018-4239, CVE-2018-4244, CVE-2018-4250, CVE-2018-4252   (Links to External Site)
Date:  Jun 2 2018
Impact:   Denial of service via network, Disclosure of system information, Disclosure of user information, User access via local system
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   Multiple vulnerabilities were reported in Apple iOS. A remote user can cause denial of service conditions on the target system. A local user can obtain potentially sensitive information. A local user can obtain elevated privileges on the target system. A local user can bypass security restrictions.

An application can trigger a buffer overflow in the Bluetooth component to gain elevated privileges [CVE-2018-4215].

A physically local user can trigger a permissions error in the Siri component to enable Siri from the lock screen [CVE-2018-4238].

A physically local user can trigger a permissions error in the Magnifier component to view the last image used in Magnifier [CVE-2018-4239].

A physically local user can trigger a permissions error in the Siri Contacts component to view private contact information [CVE-2018-4244].

A remote user can send a specially crafted message to trigger a validation flaw in the Messages component and cause denial of service conditions [CVE-2018-4250].

A physically local user can trigger a permissions flaw in the Siri component to read notifications of content that is set to be not displayed at the lock screen [CVE-2018-4252].

Baljinder Singh, Muhammad khizer javed, Onur Can BIKMAZ (@CanBkmaz) of Mustafa Kemal University, Abraham Masri (@cheesecakeufo), an anonymous researcher, Metehan Yilmaz of Sesim Sarpkaya, Hunter Byrnes, and Martin Winkelmann (@Winkelmannnn) reported these vulnerabilities.

Impact:   A remote user can cause denial of service conditions.

A local user can obtain potentially sensitive information on the target system.

A local user can obtain elevated privileges on the target system.

A local user can bypass security controls on the target system.

Solution:   The vendor has issued a fix (11.4).

The vendor advisory is available at:

https://support.apple.com/en-us/HT208848

Vendor URL:  support.apple.com/en-us/HT208848 (Links to External Site)
Cause:   Access control error, Input validation error, State error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2018, SecurityGlobal.net LLC